Create Video
curl --request POST \
--url https://www.token-nova.com/v1/video/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"prompt": "<string>",
"images": [
"<string>"
],
"aspect_ratio": "<string>",
"size": "<string>"
}
'import requests
url = "https://www.token-nova.com/v1/video/create"
payload = {
"model": "<string>",
"prompt": "<string>",
"images": ["<string>"],
"aspect_ratio": "<string>",
"size": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
prompt: '<string>',
images: ['<string>'],
aspect_ratio: '<string>',
size: '<string>'
})
};
fetch('https://www.token-nova.com/v1/video/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.token-nova.com/v1/video/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => '<string>',
'prompt' => '<string>',
'images' => [
'<string>'
],
'aspect_ratio' => '<string>',
'size' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.token-nova.com/v1/video/create"
payload := strings.NewReader("{\n \"model\": \"<string>\",\n \"prompt\": \"<string>\",\n \"images\": [\n \"<string>\"\n ],\n \"aspect_ratio\": \"<string>\",\n \"size\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.token-nova.com/v1/video/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"<string>\",\n \"prompt\": \"<string>\",\n \"images\": [\n \"<string>\"\n ],\n \"aspect_ratio\": \"<string>\",\n \"size\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.token-nova.com/v1/video/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"<string>\",\n \"prompt\": \"<string>\",\n \"images\": [\n \"<string>\"\n ],\n \"aspect_ratio\": \"<string>\",\n \"size\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2025-11-08T23:07:57.510141923+08:00",
"status": "processing",
"task_id": "48038932-0ff5-4251-8b4b-7a76c09fd114"
}
Unified Video
Create Video
Use POST /v1/video/create to submit Jimeng asynchronous generation tasks through the unified video format.
POST
https://www.token-nova.com
/
v1
/
video
/
create
Create Video
curl --request POST \
--url https://www.token-nova.com/v1/video/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"prompt": "<string>",
"images": [
"<string>"
],
"aspect_ratio": "<string>",
"size": "<string>"
}
'import requests
url = "https://www.token-nova.com/v1/video/create"
payload = {
"model": "<string>",
"prompt": "<string>",
"images": ["<string>"],
"aspect_ratio": "<string>",
"size": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
prompt: '<string>',
images: ['<string>'],
aspect_ratio: '<string>',
size: '<string>'
})
};
fetch('https://www.token-nova.com/v1/video/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.token-nova.com/v1/video/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => '<string>',
'prompt' => '<string>',
'images' => [
'<string>'
],
'aspect_ratio' => '<string>',
'size' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.token-nova.com/v1/video/create"
payload := strings.NewReader("{\n \"model\": \"<string>\",\n \"prompt\": \"<string>\",\n \"images\": [\n \"<string>\"\n ],\n \"aspect_ratio\": \"<string>\",\n \"size\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.token-nova.com/v1/video/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"<string>\",\n \"prompt\": \"<string>\",\n \"images\": [\n \"<string>\"\n ],\n \"aspect_ratio\": \"<string>\",\n \"size\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.token-nova.com/v1/video/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"<string>\",\n \"prompt\": \"<string>\",\n \"images\": [\n \"<string>\"\n ],\n \"aspect_ratio\": \"<string>\",\n \"size\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2025-11-08T23:07:57.510141923+08:00",
"status": "processing",
"task_id": "48038932-0ff5-4251-8b4b-7a76c09fd114"
}
Create Video
The Jimeng unified video entry usesPOST /v1/video/create, and the request body is JSON. Unlike Jimeng video generation in OpenAI format, this API uses fields such as images, aspect_ratio, size, and duration.
- The route entry is
POST /v1/video/create. - Reference images are passed in as a list of URLs through the
imagesarray; for text-to-video, you can pass an empty array. - A common model example is
jimeng-video-3.0; use the model actually available in the current channel. - After a successful submission, the task
idandstatusare returned, and the result is polled later via Query Task.
Supported Models
jimeng-video-3.0jimeng-video-2.0
Method and Path
POST /v1/video/create
Request Example
curl -X POST https://www.token-nova.com/v1/video/create \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "jimeng-video-3.0",
"prompt": "cat fish",
"aspect_ratio": "16:9",
"size": "1080P",
"images": []
}'
import requests
resp = requests.post(
"https://www.token-nova.com/v1/video/create",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
json={
"model": "jimeng-video-3.0",
"prompt": "cat fish",
"aspect_ratio": "16:9",
"size": "1080P",
"images": [],
},
timeout=60,
)
print(resp.json())
const response = await fetch("https://www.token-nova.com/v1/video/create", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
model: "jimeng-video-3.0",
prompt: "cat fish",
aspect_ratio: "16:9",
size: "1080P",
images: [],
}),
});
console.log(await response.json());
Response Example
{
"created_at": "2025-11-08T23:07:57.510141923+08:00",
"status": "processing",
"task_id": "48038932-0ff5-4251-8b4b-7a76c09fd114"
}
Authentication
Authorization: Bearer YOUR_API_KEY
Body
Prompt. The text description for video generation, supporting both Chinese and English.
List of image URLs. Pass
[] for text-to-video, 1 image for first-frame-to-video, or 2 images for first-and-last-frame-to-video. Supports image URLs, with image formats including png, jpeg, jpg, and webp.